package com.adventurer_engine.network.server2client;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.adventurer_engine.client.ClientProxy;
import com.adventurer_engine.network.RCsPacket;
import com.google.common.io.ByteArrayDataInput;
import com.google.common.io.ByteArrayDataOutput;
import cpw.mods.fml.relauncher.Side;
import java.io.IOException;
import uf;

public class SendWorldCalendarPacket extends RCsPacket {
  private long calendar;
  
  public SendWorldCalendarPacket() {}
  
  public SendWorldCalendarPacket(long calendar) {
    this.calendar = calendar;
  }
  
  public void write(ByteArrayDataOutput out) throws IOException {
    out.writeLong(this.calendar);
  }
  
  public void read(ByteArrayDataInput in) throws IOException {
    this.calendar = in.readLong();
  }
  
  public void execute(uf player, Side side) throws RCsPacket.ProtocolException {
    if (side.isServer())
      return; 
    ClientProxy.worldCalendar = this.calendar;
  }
}
